Subject: Re: linux-next: build warning after merge of the mm-hotfixes tree

From: Hugh Dickins <[email-masked]>
Date: Mon, 24 Jul 2023 21:10:59 -0700 (PDT)

On Tue, 25 Jul 2023, Stephen Rothwell wrote:

> Hi all,
> 
> After merging the mm-hotfixes tree, today's linux-next build (htmldocs)
> produced this warning:
> 
> Documentation/filesystems/tmpfs.rst:116: ERROR: Malformed table.
> Text in column margin in table line 4.
> 
> ===========  ==============================================================
> huge=never   Do not allocate huge pages.  This is the default.
> huge=always  Attempt to allocate huge page every time a new page is needed.
> huge=within_size Only allocate huge page if it will be fully within i_size.
>              Also respect madvise(2) hints.
> huge=advise  Only allocate huge page if requested with madvise(2).
> ===========  ==============================================================
> 
> Introduced by commit
> 
>   a0ebb5aa2de3 ("tmpfs: fix Documentation of noswap and huge mount options")

Sorry about that, Stephen: thanks for the report.

Randy, you're always my goto guy for how to get these Doc things right,
I hope you don't mind.  I just write the text as I want it to appear,
then get caught out by unfamiliar rules.

Please suggest a fixup to the fix patch if you can - thanks!

Hugh